ATA_DO_DEV_READ_ID(9)

NAME
ata_do_dev_read_id - default ID read method

SYNOPSIS

unsigned int ata_do_dev_read_id(struct ata_device * dev, struct ata_taskfile * tf, u16 * id);

ARGUMENTS

dev
    device

tf
    proposed taskfile

id
    data buffer

DESCRIPTION

Issue the identify taskfile and hand back the buffer containing identify data. For some RAID controllers and for pre ATA devices this function is wrapped or replaced by the driver

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT